# get

Download IPFS objects.

#### REQUEST <a href="#request" id="request"></a>

```bash
curl "https://ipfs.krypc.io:5001/api/v0/get?arg=<ipfs-path>&output=<value>&archive=false&compress=false&compression-level=-1" \
    -X POST \
    -u "<API_KEY>:<API_KEY_SECRET>"
```

**REQUEST PARAMS**[**​**](https://docs.infura.io/networks/ipfs/http-api-methods/get#request-params)

* `arg` *\[Required]* - The IPFS object hash.
* `output` *\[Optional]* - The path where the output should be stored.
* `archive` *\[Optional]* - Output a TAR archive. The default is `false`.
* `compress` *\[\_O\_ptional]* - Compress the output with GZIP compression. The default is `false`.
* `compression-level` *\[\_O\_ptional]* - The level of compression (1-9). The default is `-1`.

#### RESPONSE[​](https://docs.infura.io/networks/ipfs/http-api-methods/get#response) <a href="#response" id="response"></a>

On success, the call to this endpoint will return with 200 and the following body:

**BODY**

```
This endpoint returns a `text/plain` response body.
```
